﻿namespace Phoenix.Model.Bll.Interface
{
    using System.Collections.Generic;

    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// Repotitory to manage the pathologies
    /// </summary>
    public interface IPathologyRepository : IRepository<Pathology>
    {
        #region Methods

        /// <summary>
        /// Searches all the pathology with the specified pathology type.
        /// </summary>
        /// <param name="pathologyType">Type of the pathology.</param>
        /// <returns></returns>
        IList<Pathology> Search(PathologyType pathologyType);

        #endregion Methods
    }
}