namespace Phoenix.Model.Bll.Domain
{
    using System;
    using System.Collections.Generic;

    public class Prescription : Poco
    {
        #region Fields

        private IList<Drug> m_Drugs;

        #endregion Fields

        #region Constructors

        public Prescription()
        {
            m_Drugs = new List<Drug>();
            this.CreationDate = DateTime.Now;
        }

        #endregion Constructors

        #region Properties

        public virtual DateTime? CreationDate
        {
            get;
            set;
        }

        public virtual IList<Drug> Drugs
        {
            get { return m_Drugs; }
            set { m_Drugs = value; }
        }

        public virtual string Remark
        {
            get;
            set;
        }

        #endregion Properties
    }
}