﻿namespace Phoenix.View.Helpers
{
    using System;

    using Phoenix.Helpers.Misc;
    using Phoenix.View;

    /// <summary>
    /// Calculates the release date from the release number
    /// </summary>
    public partial class ReleaseCalcBox : TranslateableForm
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="CaptchaBox"/> class.
        /// </summary>
        public ReleaseCalcBox()
        {
            this.InitializeComponent();
        }

        #endregion Constructors

        #region Methods

        private void btn_OK_Click(object sender, EventArgs e)
        {
            DateTime dateRevision = Revision.CalculateRevisionDate((int)this.nud_Revision.Value);
            this.lbl_Revision.Text = string.Format("Built the {0} between {1} and {2}."
             , dateRevision.ToShortDateString()
             , dateRevision.ToShortTimeString()
             , dateRevision.AddHours(3).ToShortTimeString());
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        #endregion Methods
    }
}